ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dragan, Krzysztof" <kdra...@ptc.com>
Subject Java 11 Compatibility Problem
Date Tue, 09 Oct 2018 17:04:01 GMT
Hi,
scanning latest version of Apache Ivy(2.5.0-rc-1) using jdeprscan on jdk11 I noticed two problems
with this jar.

These two methods using internal jdk marked for removal and will be deleted:

  *   class org/apache/ivy/util/FileUtil uses deprecated class java/util/jar/Pack200$Unpacker
(forRemoval=true)
  *   class org/apache/ivy/util/FileUtil uses deprecated class java/util/jar/Pack200 (forRemoval=true)

Are you planning new release of Apache Ivy in the near future?

Thanks,
Krzysztof Dragan

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message